Developers
V1MeFamilySubjectidMeals

/v1/me/family/{subjectId}/meals

POST
/v1/me/family/{subjectId}/meals
AuthorizationBearer <token>

In: header

Path Parameters

subjectId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/me/family/497f6eca-6276-4993-bfeb-53cbbbba6f08/meals" \  -H "Content-Type: application/json" \  -d '{    "mealId": "95c30013-805f-41d3-a2f3-65cb061d0ec8",    "eatenAt": null,    "consentHealthStorage": true,    "items": [      {        "name": "string",        "grams": 1,        "kcal": 0,        "source": "search"      }    ],    "consentGuardianHealthStorage": true,    "guardianConsentVersion": "2026-09-24-family"  }'
{  "mealId": "string",  "totalKcal": 0,  "items": 0}